Xfce Kiosk functions
3
LIBXFCE4UTIL Library

# Xfce Kiosk functions

Xfce Kiosk mode support functions.

## Synopsis

    #include <libxfce4util/libxfce4util.h>

                        XfceKiosk;
    XfceKiosk*          xfce_kiosk_new                      (const gchar *module);
    gboolean            xfce_kiosk_query                    (const XfceKiosk *kiosk,
                                                             const gchar *capability);
    void                xfce_kiosk_free                     (XfceKiosk *kiosk);

## Description

This module provides a simple Kiosk mode for Xfce.

## Details

### XfceKiosk

    typedef struct _XfceKiosk XfceKiosk;

### xfce_kiosk_new ()

    XfceKiosk*          xfce_kiosk_new                      (const gchar *module);

FIXME

`module` :

Returns :

Since 4.2

### xfce_kiosk_query ()

    gboolean            xfce_kiosk_query                    (const XfceKiosk *kiosk,
                                                             const gchar *capability);

Queries the `kiosk` object for a given capability and returns `TRUE` if the current user has the `capability`, else `FALSE`.

`kiosk` :

  A XfceKiosk.

`capability` :

  The name of the capability to check.

Returns :

  `TRUE` if the current user has the `capability`, else `FALSE`.

Since 4.2

### xfce_kiosk_free ()

    void                xfce_kiosk_free                     (XfceKiosk *kiosk);

Frees the `kiosk` object.

`kiosk` :

  A XfceKiosk.

Since 4.2